module.exports = {
    parser: "@typescript-eslint/parser",
    parserOptions: {
        ecmaVersion: 'latest',
        sourceType: 'module',
    },
    env: {
        es6: true,
        browser: true,
    },
    plugins: ['@typescript-eslint','todo-plz', 'no-only-tests'],
    overrides: [
    ],
    rules: {
        'todo-plz/ticket-ref': ['error', { pattern: 'GT[0-9]+' }],
        'no-only-tests/no-only-tests': [
            'error',
            {
                block: ['test'],
                focus: ['only'],
            },
        ],
    },
    settings: {
        // ...
    },
};
